import { html as a } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, g = Object.getOwnPropertyDescriptor, l = (p, t, o, r) => {
  for (var e = r > 1 ? void 0 : r ? g(t, o) : t, i = p.length - 1, c; i >= 0; i--)
    (c = p[i]) && (e = (r ? c(t, o, e) : c(e)) || e);
  return r && e && m(t, o, e), e;
};
let s = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--france", this.class = "c-pieIcon c-pieIcon--france", this.name = "IconFlagFrance";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--france"><path fill="#EEE" d="M8 15A7 7 0 1 0 8 1a7 7 0 0 0 0 14Z"></path><path fill="#D80027" d="M15 8a7 7 0 0 0-4.566-6.563v13.126A7 7 0 0 0 15 8Z"></path><path fill="#0052B4" d="M1 8a7 7 0 0 0 4.566 6.563V1.437A7 7 0 0 0 1 8Z"></path></svg>`;
  }
};
l([
  n({ type: String, reflect: !0 })
], s.prototype, "size", 2);
l([
  n({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = l([
  h("icon-flag-france")
], s);
export {
  s as IconFlagFrance
};
